package com.tencent.mm.plugin.topstory.ui.video.fs;

import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.topstory.ui.video.b;
import com.tencent.mm.plugin.topstory.ui.video.e;
import com.tencent.mm.protocal.protobuf.chw;
import com.tencent.mm.sdk.platformtools.al;
import java.util.List;

public final class d extends e {
    protected b sDN;
    public boolean sFI = false;

    public d(b bVar) {
        super(bVar);
        this.sDN = bVar;
    }

    public final void j(List<chw> list, boolean z) {
        AppMethodBeat.i(1874);
        super.j(list, z);
        al.d(new 1(this, list));
        AppMethodBeat.o(1874);
    }

    public final int FG(int i) {
        return 0;
    }
}
